# coding=utf-8
import django_filters

from .models import KnowledgeBase

class KnowledgeBaseFilter(django_filters.FilterSet):
    name = django_filters.CharFilter(field_name="name", lookup_expr="icontains")
    subject = django_filters.CharFilter(field_name='chapter__subject_id')
    chapter = django_filters.CharFilter(field_name='chapter_id')

    class Meta:
        model = KnowledgeBase
        fields = "__all__"